.wb-input-field-over {
	width: 100%;
	position: relative;
}
.wb-input-field-label {
	width: 100%;
}
.wb-input-field-label label {
	display: block;
	padding: .3rem 0 .3em .75rem;
	margin: 0;
	font-size: .875em;
}
.wb-input-field-label label:first-letter {
	text-transform: uppercase;
} 
.wb-input-field {
	width: 100%;
	display: flex;
	flex-flow: row;
	flex-wrap: nowrap;
	justify-content: stretch;
	align-items: center;
	position: relative;
}
.wb-input-field-label {
	width: 100%;
}
.wb-input-field-unit {
	padding: .25em 0 .25em .25em;
}
.wb-input-field-info {
	padding: .3em 0 0 0;
}
.wb-input-pass-handle {
	cursor: pointer;
}


.wb-checkbox-button {
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
	align-items: flex-start;
	justify-content: flex-start;

	margin: 0 0 .5rem 0;
	padding: 0 .5rem 0 0;
	-webkit-user-select: none;
  	-moz-user-select: none;
  	-ms-user-select: none;
  	user-select: none;
}
.wb-checkbox-button-border {
	border-bottom: 1px solid var(--color-4);
}
.wb-checkbox-button-disabled {
	opacity: .5;
}
.wb-checkbox-button label {
	padding: 0;
	margin: 0;
	cursor: pointer;
	display: flex;
	flex-direction: row;
	flex-wrap: nowrap;
	align-items: center;
	justify-content: flex-start;
	width: 100%;
}
.wb-checkbox-button label.wb-checkbox-icone {
	flex-direction: column;
	flex-wrap: nowrap;
	align-items: center;
	justify-content: flex-start;
}
.wb-checkbox-button input {
	display: none;
}
.wb-checkbox-button .checkmark {
	min-width: .9em;
	min-height: .9em;
	padding: .3em;
	margin: 0 1em 0 0;
	border: 1px solid var(--color-3);
	background-color: var(--color-1);
	vertical-align: middle;
	display: inline-block;
	position: relative;
	border-radius: .3em;
}
.wb-checkbox-button .checkicon {
	min-width: 5em;
	min-height: 5em;
	padding: .75rem;
	margin: 0;
	border: none;
	background-color: var(--color-1);
	vertical-align: middle;
	display: flex;
	flex-direction: column;
	flex-wrap: wrap;
	align-items: center;
	justify-content: center;
	position: relative;
	border-radius: .66em;
}
.wb-checkbox-button .checkmark:after {
	content: "";
	position: absolute;
	display: none;
	left: 9px;
	top: 5px;
	width: 5px;
	height: 10px;
	border: solid #ffffff;
	border-width: 0 1px 1px 0;
	-webkit-transform: rotate(45deg);
	-ms-transform: rotate(45deg);
	transform: rotate(45deg);
}
.wb-checkbox-button:hover .checkmark {
	border-color: var(--color-5);
}
.wb-checkbox-button input:checked ~ label .checkmark {
	background-color: var(--color-5);
	color: #ffffff;
	border-color: transparent;
}
.wb-checkbox-button input:checked ~ label .checkmark:after {
	display: block;
}

.wb-checkbox-button:hover .checkicon {
	background-color: var(--color-6);
}
.wb-checkbox-button input:checked ~ label .checkicon {
	background-color: var(--color-2);
	color: var(--color-3);
	border-color: transparent;
}

.wb-checkbox-button input:checked ~ label .checkicon img.icon {
	filter: contrast(1000%) invert(100%);
}







.wb-checkbox-row {
	margin: 0 0 .5em 0;
	padding: 0;
	-webkit-user-select: none;
  	-moz-user-select: none;
  	-ms-user-select: none;
  	user-select: none;
}
.wb-checkbox-row label {
	padding: 0;
	margin: 0;
	cursor: pointer;
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
	align-items: flex-start;
	justify-content: flex-start;
	color: initial;
	width: 100%;
}
.wb-checkbox-row input {
	display: none;
}
.wb-checkbox-row .checkmark {
	min-width: .9rem;
	min-height: .9rem;
	padding: .3rem;
	margin: 0 .3rem 0 0;
	border: 1px solid var(--color-9);
	background-color: var(--color-1);
	vertical-align: middle;
	display: inline-block;
	position: relative;
	border-radius: .3em;
}
.wb-checkbox-row .checkmark:after {
	content: "";
	position: absolute;
	display: none;
	left: 9px;
	top: 5px;
	width: 5px;
	height: 10px;
	border: solid #ffffff;
	border-width: 0 1px 1px 0;
	-webkit-transform: rotate(45deg);
	-ms-transform: rotate(45deg);
	transform: rotate(45deg);
}
.wb-checkbox-row:hover .checkmark {
	border-color: var(--color-5);
}
.wb-checkbox-row input:checked ~ label .checkmark {
	background-color: var(--color-5);
	color: #ffffff;
	border-color: transparent;
}
.wb-checkbox-row input:checked ~ label .checkmark:after {
	display: block;
}

.wb-checkbox-row .descript {
	display: none;
}
.wb-checkbox-row input:checked ~ label .descript {
	display: block;
}

.wb-disabled label {
	filter: grayscale(1);
	opacity: .3;
}
.wb-disabled .checkmark {
	display: none;
}


.wb-select-assist, .wb-select-field, .wb-select-transparent {
	display: flex;
	flex-direction: row;
    flex-wrap: nowrap;
	align-items: center;
	justify-content: stretch;
	cursor: pointer;
	position: relative;
}
.wb-select-assist {
	padding: .5em 1em;
  	border-radius: .5em;
}
.wb-select-assist:hover {
	background-color: var(--color-1);
	box-shadow: 0 5px 25px 0 rgba(0,0,0,.125);
}
.wb-select-assist-handle {
	width: 100%;
	display: flex;
	flex-direction: row;
    flex-wrap: nowrap;
	align-items: center;
	justify-content: space-between;
	font-weight: bold;
}
.wb-select-field {
	border-bottom: 1px solid var(--color-4);
	background-color: var(--color-1);
	border-radius: .3em;
}
.wb-select-field select {
	-webkit-appearance: none;
	-moz-appearance: none;
	border: none;
}
.wb-select-transparent select {
	background-color: transparent;
	color: inherit;
	border: none;
	padding: .1em;
	font-family: inherit;
	font-size: inherit;
	-webkit-appearance: none;
	-moz-appearance: none;
}
.wb-select-field::after {
	content: "";
	display: block;
	width: 0;
	height: 0;
	border-left: 5px solid transparent;
	border-right: 5px solid transparent;
	border-top: 5px solid var(--color-5);
	pointer-events: none;
	position: absolute;
	right: .5em;
	top: calc(50% - 2px);
	z-index: auto;
}
.wb-select-transparent::after {
	content: "";
	display: block;
	width: 0;
	height: 0;
	border-left: 5px solid transparent;
	border-right: 5px solid transparent;
	border-top: 5px solid var(--color-5);
	pointer-events: none;
}

.wb-counter-field {

}
.wb-counter-field a {
	width: 2em;
	height: 2em;
	background-color: var(--color-1);
	border-radius: 50%;
    display: inline-block;
    vertical-align: middle;
	position: relative;
}
.wb-counter-field a img {
	position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
	filter: none;
}
.wb-counter-field a:hover {
	background-color: var(--color-2);
	border-color: var(--color-2);
}
.wb-counter-field a:hover img {
	filter: invert(1);
}
.wb-counter-field input {
	width: 1.66em;
	min-width: 1.66em;
	background-color: transparent;
	border: none;
	text-align: center;
	font-size: 1.5em;
	line-height: 1em;
	display: inline-block;
	vertical-align: middle;
	padding: 0;
	margin: 0 .2em;
}
.wb-counter-field input.with-unit {
	text-align: right;
}
.wb-counter-field .wb-counter-unit {
	display: inline-block;
	margin: 0 1em 0 0;
}


.wb-search-assist {
	display: flex;
	flex-direction: row;
    flex-wrap: nowrap;
	align-items: stretch;
	justify-content: stretch;
	background-color: var(--color-1);
	border-radius: .33em;
	/*
	border-bottom: 1px solid var(--color-5);
	*/
	padding: .3em;
}
.wb-search-assist input {
	background-color: transparent;
	border: none;
}
.wb-search-assist-pop {

}
.wb-search-assist-option {
	border-radius: .33em;
	
}
.wb-input-assist-option {
	border-bottom: 1px solid var(--color-4);

}
.wb-search-assist-option-content, .wb-input-assist-option-content {
	display: flex;
	flex-direction: row;
    flex-wrap: nowrap;
	align-items: center;
	justify-content: stretch;
}
.wb-search-assist-option-content div, .wb-input-assist-option-content div {
	padding: .5em;
}

.wb-search-assist-option-thumb {
	display: flex;
	flex-direction: row;
    flex-wrap: nowrap;
	align-items: center;
	justify-content: center;
}
.wb-search-assist-option-thumb .thumb {
	height: 3.5em;
	width: 3.5em;
	padding: 0;
	display: block;
	border-radius: .33em;
	background-color: var(--color-1);
	overflow: hidden;
}
.wb-search-assist-option-thumb .thumb img {
	object-fit: contain;
	-o-object-fit: contain;
    height: 100%;
	width: 100%; 
	display: block;
}

.wb-search-assist-option-thumb {

}
.wb-search-assist-option:hover, .wb-input-assist-option:hover {
	background-color: var(--color-1);
	box-shadow: 0 .25em 1em 0 rgba(0,0,0,.125);
}



.wb-select-assist-legend {
	padding: .25em 1em;
}
.wb-select-assist-preview {
	width: 100%;

	display: flex;
	flex-direction: row;
    flex-wrap: nowrap;
	align-items: center;
	justify-content: space-between;

	border-radius: .5em;
	min-height: 3em;
}
.wb-select-assist-pop {
	position: absolute;
	top: 100%;
	left: 0;
	right: auto;
	width: 100%;
	min-width: 250px;
	height: auto;
	
	
	z-index: 400;
	display: none;
	box-sizing: border-box;
	padding: .5em 0 0 0;
	overflow-y: scroll;
	background-color: var(--color-1);
	color: var(--color-2);
	border-radius: .5em;
	box-shadow: 0 5px 50px 0 rgba(0,0,0,.125);
}
.wb-select-assist-pop-short {
	max-height: 50vh;
}
.wb-select-assist-pop-right {
	left: auto;
	right: 0;
}
.wb-select-assist-pop .wb-checkbox-button {
	margin: 0;
	padding: .5em 1em;
	overflow: hidden;
}
.wb-select-assist-btn {
	display: flex;
	flex-direction: row;
    flex-wrap: nowrap;
	align-items: center;
	justify-content: space-around;
	cursor: pointer;
	padding: .5rem;
}
.wb-select-assist-btn span {
	margin: 0;
}
.wb-select-assist-pop label {
	font-size: 1em;
}
.wb-select-assist-pop p, .wb-select-assist-preview p {
	margin: 0 0 .33em 0;
}



.wb-form-field-error {
	border-color: var(--color-4);
}
.wb-form-input-hint {
	display: block;
	position: absolute;
	top: calc(100% + .33rem);
	right: calc(.5 * var(--spacer));
	z-index: 400;
	width: max-content;
	max-width: 300px;
	height: auto;
	padding: .33em 1.125em;
	font-size: .75em;
	background-color: var(--color-5);
	color: var(--color-2);
	border-radius: .66rem;
	animation: wb-input-hint-in .25s;
}
.wb-form-input-hint::after {
	content: "";
	position: absolute;
	bottom: 100%;
	right: .75rem;
	height: 0;
	width: 0;
	border: .5em solid transparent;
	border-bottom-color: var(--color-5);
}
@keyframes wb-input-hint-in {
	0% {
		opacity: 0;
		transform: translateY(1rem);
	}
	100% {
		opacity: 1;
		transform: translateY(0);
	}
}


.wb-select-assist {
	-webkit-transition: all .5s ease-out 0s;
  	-moz-transition: all .5s ease-out 0s;
  	-o-transition: all .5s ease-out 0s;
	transition: all .5s ease-out 0s;
}



.wb-file-record {
	display: flex;
	flex-flow: row;
	flex-wrap: nowrap;
	justify-content: space-between;
	align-items: center;
	position: relative;

	border: 1px solid var(--color-1);
	background-color: var(--color-3);
	border-radius: 1.5rem;
	margin: 0 0 .3rem;
	padding: .66rem 1rem;

	min-height: 3rem;
}
.wb-file-record.loading::after {
	content: "";
	position: absolute;
	top: 50%;
	left: 50%;
  	height: 2rem;
  	width: 2rem;
	transform: translate(-50%, -50%);

	background-image: url(../images/loading.svg);
	background-position: right center;
	background-repeat: no-repeat;
	background-origin: content-box;
	background-size: 20px;
  	
}





.wb-table-result {
	table-layout: auto;
	border-collapse: collapse;
	border-spacing: 0;
	min-width: 100%;
	margin: 0 auto;
}
.wb-table-result tr {
	
}
.wb-table-result th {
	position: static; 
	padding: calc(.5 * var(--spacer)) calc(1 * var(--spacer));
	font-size: .75em; 
	font-weight: 300; 
	text-transform: uppercase; 
}

.wb-table-result td {
	padding: var(--spacer); 
	vertical-align: middle; 
	min-height: 1.5em; 
	border-bottom: 1px solid var(--color-1); 

	transition: background-color 200ms linear;
}
/*
.wb-table-result tbody tr td:first-child {	padding-left: 0;  }
.wb-table-result tbody tr td:last-child {	padding-right: 0;  }
*/
.wb-table-result tbody tr:last-child td {	border-bottom: none;  }

.wb-table-result tbody tr:hover td {	background-color: var(--color-1); }


.wb-data-result {
	min-width: 100%;
	margin: 0 auto;
}
.wb-data-row {
	display: flex;
	flex-direction: row;
    flex-wrap: wrap;
	align-items: center;
	justify-content: space-between;

	position: relative;

	width: 100%;
	border-bottom: 1px solid var(--color-1); 

	transition: background-color 200ms linear;
}
.wb-data-result .wb-data-row:last-child {	border-bottom: none;  }

.wb-data-result .wb-data-row:hover {  background-color: var(--color-1); }

.wb-data-btn {

}